# is_infinite

(PHP 4 >= 4.2.0, PHP 5, PHP 7)

is_infinite — Finds whether a value is infinite

### Description

is_infinite ( float `$val` ) : bool

Returns `TRUE` if `val` is infinite (positive or negative), like the result of log(0) or any value too big to fit into a float on this platform.

### Parameters

`val`

  The value to check

### Return Values

`TRUE` if `val` is infinite, else `FALSE`.

### See Also

- is_finite() - Finds whether a value is a legal finite number
- is_nan() - Finds whether a value is not a number